import { world, BlockPermutation } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe((event) => {
    event.blockComponentRegistry.registerCustomComponent('ikea:drawer_bob_off_trigger', {
        onPlayerInteract(e) {
            const block = e.block;
            const player = e.player;

            const currentPermutation = block.permutation;

            const newPermutation = BlockPermutation.resolve('ikea:kitchen_drawer_with_dr_bob_2', currentPermutation.getAllStates());

            block.dimension.getBlock(block.location).setPermutation(newPermutation);

            player.runCommand("function drawer_on");
        },
    });
});