import { world, BlockPermutation } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe((event) => {
    event.blockComponentRegistry.registerCustomComponent('ikea:plate_of_hot_dogs_trigger', {
        onPlayerInteract(e) {
            const block = e.block;
            const player = e.player;

            const currentPermutation = block.permutation;

            const newPermutation = BlockPermutation.resolve('ikea:plate_of_hot_dogs_2', currentPermutation.getAllStates());

            block.dimension.getBlock(block.location).setPermutation(newPermutation);

            player.runCommand("function plate_of_hot_dogs");
        },
    });
});