import { world, BlockPermutation } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe((event) => {
    event.blockComponentRegistry.registerCustomComponent('ikea:drawer_1_open_trigger', {
        onPlayerInteract(e) {
            const block = e.block;
            const player = e.player;

            const currentPermutation = block.permutation;

            const newPermutation = BlockPermutation.resolve('ikea:kitchen_drawer_1_open', currentPermutation.getAllStates());

            block.dimension.getBlock(block.location).setPermutation(newPermutation);

            player.runCommand("function drawer_sound");
        },
    });
});