import { world, BlockPermutation } from "@minecraft/server";

world.beforeEvents.worldInitialize.subscribe((event) => {
    event.blockComponentRegistry.registerCustomComponent('ikea:pizza_4_trigger', {
        onPlayerInteract(e) {
            const block = e.block;
            const player = e.player;

            const currentPermutation = block.permutation;

            const newPermutation = BlockPermutation.resolve('ikea:pizza_box_5', currentPermutation.getAllStates());

            block.dimension.getBlock(block.location).setPermutation(newPermutation);

            player.runCommand("function pizza_box");
        },
    });
});